Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.component
[Java] Interface SoftwareComponentContainer

    org.gradle.api.NamedDomainObjectSet
      org.gradle.api.component.SoftwareComponentContainer
          java.lang.Iterable
              org.gradle.api.NamedDomainObjectCollection
                  org.gradle.api.DomainObjectCollection
                      java.util.Collection

All Superinterfaces:
  NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Collection

    @Incubating
    public interface SoftwareComponentContainer
    extends NamedDomainObjectSet

A Container that contains all of the Software Components produced by a Project.

Method Summary

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface NamedDomainObjectCollection
add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules, matching, matching, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Gradle API 1.10